Skip to main content
GET
/
v1
/
checkout_sessions
List Checkout Sessions
curl --request GET \
  --url https://api.leanrails.com/v1/checkout_sessions \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "data": [
    {
      "id": "cs_xxx",
      "object": "checkout.session",
      "mode": "payment",
      "status": "open",
      "payment_status": "unpaid",
      "ui_mode": "hosted",
      "customer_creation": "always",
      "billing_address_collection": "auto",
      "expires_at": 123,
      "metadata": {},
      "livemode": false,
      "created": 1234567890,
      "url": "<string>",
      "client_secret": "<string>",
      "success_url": "<string>",
      "cancel_url": "<string>",
      "customer": "cus_xxx",
      "customer_email": "<string>",
      "customer_details": {
        "email": "<string>",
        "name": "<string>",
        "phone": "<string>",
        "address": {
          "city": "<string>",
          "country": "<string>",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "state": "<string>"
        }
      },
      "payment_intent": "pi_xxx",
      "currency": "usd",
      "amount_subtotal": 123,
      "amount_total": 123,
      "total_details": {
        "amount_discount": 123,
        "amount_shipping": 123,
        "amount_tax": 123
      },
      "client_reference_id": "<string>"
    }
  ],
  "has_more": true,
  "url": "/v1/checkout_sessions",
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Query Parameters

limit
integer
default:10

Number of objects to return (1-100).

Required range: 1 <= x <= 100
starting_after
string

Cursor for forward pagination. The ID of the last object in the previous page.

ending_before
string

Cursor for backward pagination. The ID of the first object in the previous page.

status
enum<string>

Filter by session status.

Available options:
open,
complete,
expired

Response

A list of Checkout Sessions.

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required
Example:

"/v1/checkout_sessions"

next_cursor
string | null